import { cookies } from "next/headers";
import { NextResponse } from "next/server";

export async function POST(req: Request) {
  try {
    const { state } = await req.json();
    cookies().set("oauth_state", state, {
      maxAge: 60 * 10, // 10分钟过期
      path: "/",
      httpOnly: true,
      secure: process.env.NODE_ENV === "production",
    });
    return NextResponse.json({ success: true });
  } catch (error) {
    return NextResponse.json(
      { error: "Failed to save state" },
      { status: 500 },
    );
  }
}

export async function DELETE() {
  cookies().delete("oauth_state");
  return NextResponse.json({ success: true });
}
